How to install Ettercap?

Everything about X, Gnome, KDE, ... and everything running on it

How to install Ettercap?

Postby hack3rcon » 2020-01-07 10:04

Hello,
I want to install the Ettercap from "https://github.com/Ettercap/ettercap" and did below commands:
Code: Select all
# mkdir build
# cd build
# cmake ..

But, I got below error:
Code: Select all
-- The C compiler identification is GNU 8.3.0
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check if the system is big endian
-- Searching 16 bit integer
-- Looking for sys/types.h
-- Looking for sys/types.h - found
-- Looking for stdint.h
-- Looking for stdint.h - found
-- Looking for stddef.h
-- Looking for stddef.h - found
-- Check size of unsigned short
-- Check size of unsigned short - done
-- Using unsigned short
-- Check if the system is big endian - little endian
-- Looking for sys/poll.h
-- Looking for sys/poll.h - found
-- Looking for sys/select.h
-- Looking for sys/select.h - found
-- Looking for sys/utsname.h
-- Looking for sys/utsname.h - found
-- Looking for getopt.h
-- Looking for getopt.h - found
-- Looking for ctype.h
-- Looking for ctype.h - found
-- Looking for inttypes.h
-- Looking for inttypes.h - found
-- Looking for arpa/nameser.h
-- Looking for arpa/nameser.h - found
-- Looking for ltdl.h
-- Looking for ltdl.h - found
-- Looking for dlfcn.h
-- Looking for dlfcn.h - found
-- Looking for libgen.h
-- Looking for libgen.h - found
CMake Error at /usr/share/cmake-3.13/Modules/FindPackageHandleStandardArgs.cmake:137 (message):
  Could NOT find Curses (missing: CURSES_LIBRARY CURSES_INCLUDE_PATH)
Call Stack (most recent call first):
  /usr/share/cmake-3.13/Modules/FindPackageHandleStandardArgs.cmake:378 (_FPHSA_FAILURE_MESSAGE)
  /usr/share/cmake-3.13/Modules/FindCurses.cmake:245 (FIND_PACKAGE_HANDLE_STANDARD_ARGS)
  cmake/Modules/EttercapLibCheck.cmake:12 (find_package)
  CMakeLists.txt:106 (include)


-- Configuring incomplete, errors occurred!

I know this program need below libraries, but some of them not existed for Debian:
Code: Select all
 - libpcap >= 0.8.1
   - libnet  >= 1.1.2.1 (>= 1.1.5 for IPv6 support)
   - openssl >= 0.9.7
   - libpthread
   - zlib
   - libgeoip
   - CMake 2.8
   - Curl    >= 7.26.0 to build SSLStrip plugin

How can I install the Ettercap?

Thank you.
hack3rcon
 
Posts: 339
Joined: 2015-02-16 09:54

Re: How to install Ettercap?

Postby dilberts_left_nut » 2020-01-07 10:54

AdrianTM wrote:There's no hacker in my grandma...
User avatar
dilberts_left_nut
 
Posts: 5029
Joined: 2009-10-05 07:54
Location: enzed

Re: How to install Ettercap?

Postby hack3rcon » 2020-01-07 11:06

Code: Select all
$ sudo dpkg -i ettercap-common_0.8.2-10+b2_amd64.deb
Selecting previously unselected package ettercap-common.
(Reading database ... 321704 files and directories currently installed.)
Preparing to unpack ettercap-common_0.8.2-10+b2_amd64.deb ...
Unpacking ettercap-common (1:0.8.2-10+b2) ...
dpkg: dependency problems prevent configuration of ettercap-common:
 ettercap-common depends on libluajit-5.1-2 (>= 2.0.4+dfsg); however:
  Package libluajit-5.1-2 is not installed.
 ettercap-common depends on libnet1 (>= 1.1.6); however:
  Package libnet1 is not installed.

dpkg: error processing package ettercap-common (--install):
 dependency problems - leaving unconfigured
Processing triggers for libc-bin (2.28-10) ...
Processing triggers for man-db (2.8.5-2) ...
Errors were encountered while processing:
 ettercap-common
hack3rcon
 
Posts: 339
Joined: 2015-02-16 09:54

Re: How to install Ettercap?

Postby Head_on_a_Stick » 2020-01-07 16:43

Code: Select all
# apt install -f

Or use apt to install the .deb instead of dpkg:
Code: Select all
# apt install ./ettercap-common_0.8.2-10+b2_amd64.deb
User avatar
Head_on_a_Stick
 
Posts: 11218
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: How to install Ettercap?

Postby stevepusser » 2020-01-08 01:41

Can't you just

Code: Select all
apt-get install ettercap
or is your install cut off from the repositories?
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Kodi 18.5, Blender 2.8.2, 5.5 kernels, Openshot 2.5.0, Telegram-desktop 1.9.14, LibreOffice 6.4.1~rc1
User avatar
stevepusser
 
Posts: 11470
Joined: 2009-10-06 05:53

Re: How to install Ettercap?

Postby hack3rcon » 2020-01-08 07:52

I did:
Code: Select all
$ sudo apt install ettercap-graphical

Problem solved.
hack3rcon
 
Posts: 339
Joined: 2015-02-16 09:54


Return to Desktop & Multimedia

Who is online

Users browsing this forum: No registered users and 12 guests

fashionable